package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.ICoreBillEntryBase;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.CoreBillEntryBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.expandassess.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class ExpandAssessEntry extends CoreBillEntryBase implements IExpandAssessEntry
{
    public ExpandAssessEntry()
    {
        super();
        registerInterface(IExpandAssessEntry.class, this);
    }
    public ExpandAssessEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IExpandAssessEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("AB85144F");
    }
    private ExpandAssessEntryController getController() throws BOSException
    {
        return (ExpandAssessEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public ExpandAssessEntryInfo getExpandAssessEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getExpandAssessEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public ExpandAssessEntryInfo getExpandAssessEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getExpandAssessEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public ExpandAssessEntryInfo getExpandAssessEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getExpandAssessEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public ExpandAssessEntryCollection getExpandAssessEntryCollection() throws BOSException
    {
        try {
            return getController().getExpandAssessEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public ExpandAssessEntryCollection getExpandAssessEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getExpandAssessEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public ExpandAssessEntryCollection getExpandAssessEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getExpandAssessEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}